SrvType
Date: 2014-11-12

org.gcube.informationsystem.cache

## Enum SrvType

- java.lang.Object
- - java.lang.Enum<SrvType>
  - - org.gcube.informationsystem.cache.SrvType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SrvType>

      public enum SrvType
      extends java.lang.Enum<SrvType>

  Valid service types
  Author:
    UoA

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FACTORY` factory service
    `SIMPLE` simple web service
    `STATEFULL` statefull service - WS-resource

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SrvType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SrvType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final SrvType SIMPLE

      simple web service

    - #### FACTORY

          public static final SrvType FACTORY

      factory service

    - #### STATEFULL

          public static final SrvType STATEFULL

      statefull service - WS-resource

  - ### Method Detail

    - #### values

          public static SrvType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SrvType c : SrvType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SrvType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null